package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayWorkOrderInfo;
import com.ruoyi.pay.domain.vo.PayWorkOrderInfoVo;
import com.ruoyi.pay.domain.bo.PayWorkOrderInfoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工单信息Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayWorkOrderInfoService {

    /**
     * 查询工单信息
     */
    PayWorkOrderInfoVo queryById(Long id);

    /**
     * 查询工单信息列表
     */
    TableDataInfo<PayWorkOrderInfoVo> queryPageList(PayWorkOrderInfoBo bo, PageQuery pageQuery);

    /**
     * 查询工单信息列表
     */
    List<PayWorkOrderInfoVo> queryList(PayWorkOrderInfoBo bo);

    /**
     * 新增工单信息
     */
    Boolean insertByBo(PayWorkOrderInfoBo bo);

    /**
     * 修改工单信息
     */
    Boolean updateByBo(PayWorkOrderInfoBo bo);

    /**
     * 校验并批量删除工单信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
